<?php

namespace Andy\ForumListCount\Pub\Controller;

use XF\Pub\Controller\AbstractController;

class ForumListCount extends AbstractController
{
    public function actionIndex()
    {
		// get visitor
		$visitor = \XF::visitor();				
		
		// check for user group permission
		if (!$visitor->hasPermission('forumListCount', 'view'))
		{
			return $this->noPermission();
		}
		
		// get options
		$options = \XF::options();
		
		// get options from Admin CP -> Options -> Forum list count -> Limit
		$limit = $options->forumListCountLimit;
		
		// get db
		$db = \XF::db();	
		
		// run query
		$results = $db->fetchAll("
		SELECT count_date, 
		count_guest, 
		count_member, 
		count_robot
		FROM xf_andy_forum_list_count
		ORDER BY count_date DESC
		LIMIT ?
		", $limit);
		
		// update multidimensional array
		foreach ($results as $k => $v)
		{
			foreach ($v as $k2 => $v2)
			{
				if ($k2 == 'count_date')
				{
					$year = substr($v2, 0, 4);
					$month = substr($v2, 4, 2);
					$day = substr($v2, 6, 2);
					$results[$k]['count_date'] = $year . '-' . $month . '-' . $day;
				}
			}
		}		
		
		// prepare viewParams
		$viewParams = [
			'results' => $results
		]; 
		
		// send to template	
		return $this->view('Andy\ForumListCount:Index', 'andy_forumlistcount', $viewParams);		
	}
}