<?php

namespace Andy\ForumListCount;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerUpgradeTrait;
	
	public function install(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xf_andy_forum_list_count', function(Create $table)
		{
			$table->addColumn('count_date', 'varchar', 8);
			$table->addColumn('count_guest', 'int');
			$table->addColumn('count_member', 'int');
			$table->addColumn('count_robot', 'int');
			$table->addPrimaryKey('count_date');
		});
	}

	public function upgrade(array $stepParams = [])
	{
	}

	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->dropTable('xf_andy_forum_list_count');
	}
}